Index: connector/src/main/org/jboss/resource/connectionmanager/RARDeployment.java
===================================================================
--- connector/src/main/org/jboss/resource/connectionmanager/RARDeployment.java	(revision 112986)
+++ connector/src/main/org/jboss/resource/connectionmanager/RARDeployment.java	(working copy)
@@ -22,7 +22,6 @@
 package org.jboss.resource.connectionmanager;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.InvocationTargetException;
 import java.lang.reflect.Method;
 import java.util.Collection;
@@ -37,6 +36,7 @@
 import javax.resource.spi.ResourceAdapter;
 import javax.resource.spi.ResourceAdapterAssociation;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.deployers.spi.DeploymentException;
 import org.jboss.logging.Logger;
 import org.jboss.metadata.MetaData;
@@ -504,7 +504,7 @@
                      continue;
                   }
                }
-               PropertyEditor pe = PropertyEditorManager.findEditor(clazz);
+               PropertyEditor pe = PropertyEditorFinder.getInstance().find(clazz);
                if (pe == null)
                {
                   log.warn("Unable to find a PropertyEditor for class '" + clazz + "' of property '" + name + "' - "
Index: console/.classpath
===================================================================
--- console/.classpath	(revision 112986)
+++ console/.classpath	(working copy)
@@ -13,5 +13,6 @@
 	<classpathentry kind="lib" path="/thirdparty/jboss/web/lib/servlet-api.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/microcontainer/lib/jboss-kernel.jar" sourcepath="/thirdparty/jboss/microcontainer/lib/jboss-kernel-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/jboss-bootstrap/lib/jboss-bootstrap.jar"/>
+	<classpathentry kind="lib" path="/thirdparty/jboss/common-beans/lib/jboss-common-beans.jar"/>
 	<classpathentry kind="output" path="output/eclipse-classes"/>
 </classpath>
Index: console/src/main/org/jboss/console/plugins/helpers/jmx/Server.java
===================================================================
--- console/src/main/org/jboss/console/plugins/helpers/jmx/Server.java	(revision 112986)
+++ console/src/main/org/jboss/console/plugins/helpers/jmx/Server.java	(working copy)
@@ -21,6 +21,7 @@
  */
 package org.jboss.console.plugins.helpers.jmx;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.mx.util.MBeanServerLocator;
 
@@ -36,7 +37,6 @@
 import javax.management.ObjectName;
 import javax.management.ReflectionException;
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.Set;
@@ -155,7 +155,7 @@
       }
       PropertyEditor editor = null;
       if( typeClass != null )
-         editor = PropertyEditorManager.findEditor(typeClass);
+         editor = PropertyEditorFinder.getInstance().find(typeClass);
 
       return new AttrResultInfo(attrName, editor, value, throwable);
    }
@@ -182,7 +182,7 @@
             Class argType = getPrimativeClass(attrType);
             if( argType == null )
                argType = loader.loadClass(attrType);
-            PropertyEditor editor = PropertyEditorManager.findEditor(argType);
+            PropertyEditor editor = PropertyEditorFinder.getInstance().find(argType);
             // Ignore attributes without valid editors
             if( editor == null )
             {
@@ -234,7 +234,7 @@
             Class argType = getPrimativeClass(argTypes[p]);
             if( argType == null )
                argType = loader.loadClass(argTypes[p]);
-            PropertyEditor editor = PropertyEditorManager.findEditor(argType);
+            PropertyEditor editor = PropertyEditorFinder.getInstance().find(argType);
             if( editor == null )
                throw new IntrospectionException("Failed to find PropertyEditor for type: "+argTypes[p]);
             editor.setAsText(arg);
Index: console/src/main/org/jboss/console/twiddle/command/SetAttrsCommand.java
===================================================================
--- console/src/main/org/jboss/console/twiddle/command/SetAttrsCommand.java	(revision 112986)
+++ console/src/main/org/jboss/console/twiddle/command/SetAttrsCommand.java	(working copy)
@@ -36,8 +36,10 @@
 
 import gnu.getopt.Getopt;
 import gnu.getopt.LongOpt;
+
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.util.Strings;
-import org.jboss.util.propertyeditor.PropertyEditors;
 
 /**
  * Sets one or more attributes in an MBean
@@ -170,7 +172,7 @@
             throw new CommandException("attribute " + attr_name + " not found");
          type = attr_info.getType();
 
-         PropertyEditor editor = PropertyEditors.getEditor(type);
+         PropertyEditor editor = PropertyEditorFinder.getInstance().find(BeanUtils.findClass(type));
          editor.setAsText((String) attr_value);
          real_value = editor.getValue();
 
Index: console/src/main/org/jboss/console/twiddle/command/InvokeCommand.java
===================================================================
--- console/src/main/org/jboss/console/twiddle/command/InvokeCommand.java	(revision 112986)
+++ console/src/main/org/jboss/console/twiddle/command/InvokeCommand.java	(working copy)
@@ -33,9 +33,12 @@
 
 import gnu.getopt.Getopt;
 import gnu.getopt.LongOpt;
+
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.util.Strings;
-import org.jboss.util.propertyeditor.PropertyEditors;
 
+
 /**
  * Invoke an operation on an MBean.
  *
@@ -225,7 +228,7 @@
       for (int i = 0; i < count; i++)
       {
          String argType = matchOp.getArgType(i);
-         PropertyEditor editor = PropertyEditors.getEditor(argType);
+         PropertyEditor editor = PropertyEditorFinder.getInstance().find(BeanUtils.findClass(argType));
          editor.setAsText((String) opArgs.get(i));
          params[i] = editor.getValue();
       }
@@ -244,7 +247,7 @@
          {
             try
             {
-               PropertyEditor editor = PropertyEditors.getEditor(result.getClass());
+               PropertyEditor editor = PropertyEditorFinder.getInstance().find(result.getClass());
                editor.setValue(result);
                resultText = editor.getAsText();
                log.debug("Converted result: " + resultText);
Index: console/src/main/org/jboss/console/twiddle/command/SetCommand.java
===================================================================
--- console/src/main/org/jboss/console/twiddle/command/SetCommand.java	(revision 112986)
+++ console/src/main/org/jboss/console/twiddle/command/SetCommand.java	(working copy)
@@ -35,8 +35,9 @@
 import javax.management.MBeanServerConnection;
 import javax.management.ObjectName;
 
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.util.Strings;
-import org.jboss.util.propertyeditor.PropertyEditors;
 
 
 /**
@@ -211,7 +212,7 @@
 	 */
 	private Object convert (String val,String oType) throws Exception
 	{
-		PropertyEditor editor = PropertyEditors.getEditor(oType);
+		PropertyEditor editor = PropertyEditorFinder.getInstance().find(BeanUtils.findClass(oType));
 		editor.setAsText(val);
 		return editor.getValue();		
 	}
Index: console/src/bin/twiddle.sh
===================================================================
--- console/src/bin/twiddle.sh	(revision 112986)
+++ console/src/bin/twiddle.sh	(working copy)
@@ -52,7 +52,7 @@
 fi
 
 # Setup the classpath
-JBOSS_BOOT_CLASSPATH="$JBOSS_HOME/bin/twiddle.jar"
+JBOSS_BOOT_CLASSPATH="$JBOSS_HOME/lib/jboss-common-beans.jar:$JBOSS_HOME/bin/twiddle.jar"
 
 if [ "x$JBOSS_CLASSPATH" = "x" ]; then
     JBOSS_CLASSPATH="$JBOSS_BOOT_CLASSPATH"
Index: mbeans/.classpath
===================================================================
--- mbeans/.classpath	(revision 112986)
+++ mbeans/.classpath	(working copy)
@@ -10,5 +10,6 @@
 	<classpathentry exported="true" kind="lib" path="/thirdparty/apache-log4j/lib/log4j.jar" sourcepath="/thirdparty/apache-log4j/lib/log4j-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/junit/lib/junit.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/test/lib/jboss-test.jar"/>
+	<classpathentry kind="lib" path="/thirdparty/jboss/common-beans/lib/jboss-common-beans.jar"/>
 	<classpathentry kind="output" path="output/eclipse-classes"/>
 </classpath>
Index: mbeans/src/main/org/jboss/mx/metadata/JBossXMBean10.java
===================================================================
--- mbeans/src/main/org/jboss/mx/metadata/JBossXMBean10.java	(revision 112986)
+++ mbeans/src/main/org/jboss/mx/metadata/JBossXMBean10.java	(working copy)
@@ -23,7 +23,7 @@
 
 import java.beans.IntrospectionException;
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
+
 import java.util.ArrayList;
 import java.util.Iterator;
 import java.util.List;
@@ -44,12 +44,13 @@
 
 import org.dom4j.Attribute;
 import org.dom4j.Element;
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.mx.modelmbean.XMBeanConstants;
 import org.jboss.mx.util.JBossNotCompliantMBeanException;
 import org.jboss.util.Classes;
 import org.jboss.util.StringPropertyReplacer;
-import org.jboss.util.propertyeditor.PropertyEditors;
 import org.w3c.dom.Node;
 import org.w3c.dom.NodeList;
 
@@ -525,7 +526,7 @@
                      // Replace any ${x} references in the element text
                      if( replace )
                      {
-                        PropertyEditor editor = PropertyEditorManager.findEditor(typeClass);
+                        PropertyEditor editor = PropertyEditorFinder.getInstance().find(typeClass);
                         if( editor == null )
                         {
                            log.warn("Cannot perform property replace on Element");
@@ -543,7 +544,7 @@
 
                   if (value == null)
                   {
-                     PropertyEditor editor = PropertyEditorManager.findEditor(typeClass);
+                     PropertyEditor editor = PropertyEditorFinder.getInstance().find(typeClass);
                      if (editor == null)
                      {
                         throw new JBossNotCompliantMBeanException
@@ -623,7 +624,7 @@
       Object value = null;
       try
       {
-         value = PropertyEditors.convertValue(unconverted, typeName);
+         value = BeanUtils.convertValue(unconverted, typeName);
       }
       catch (ClassNotFoundException e)
       {
Index: mbeans/src/main/org/jboss/mx/modelmbean/ModelMBeanInvoker.java
===================================================================
--- mbeans/src/main/org/jboss/mx/modelmbean/ModelMBeanInvoker.java	(revision 112986)
+++ mbeans/src/main/org/jboss/mx/modelmbean/ModelMBeanInvoker.java	(working copy)
@@ -26,7 +26,6 @@
 import java.beans.Introspector;
 import java.beans.PropertyDescriptor;
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Method;
 import java.util.ArrayList;
@@ -61,6 +60,7 @@
 import javax.management.modelmbean.ModelMBeanInfoSupport;
 import javax.management.modelmbean.ModelMBeanOperationInfo;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.mx.interceptor.AbstractInterceptor;
 import org.jboss.mx.interceptor.Interceptor;
@@ -776,7 +776,7 @@
                if (setter != null)
                {
                   Class ptype = pd.getPropertyType();
-                  PropertyEditor editor = PropertyEditorManager.findEditor(ptype);
+                  PropertyEditor editor = PropertyEditorFinder.getInstance().find(ptype);
                   if (editor == null)
                      throw new IntrospectionException("Cannot convert string to interceptor attribute:" + name);
                   editor.setAsText(text);
Index: security/.classpath
===================================================================
--- security/.classpath	(revision 112986)
+++ security/.classpath	(working copy)
@@ -19,5 +19,6 @@
 	<classpathentry kind="lib" path="/thirdparty/jboss/aop/lib/jboss-aop.jar" sourcepath="/thirdparty/jboss/aop/lib/jboss-aop-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/apache-logging/lib/commons-logging.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/org/apache/lib/xmlsec.jar"/>
+	<classpathentry kind="lib" path="/thirdparty/jboss/common-beans/lib/jboss-common-beans.jar"/>
 	<classpathentry kind="output" path="output/eclipse-classes"/>
 </classpath>
Index: security/src/main/org/jboss/security/plugins/JaasSecurityManagerService.java
===================================================================
--- security/src/main/org/jboss/security/plugins/JaasSecurityManagerService.java	(revision 112986)
+++ security/src/main/org/jboss/security/plugins/JaasSecurityManagerService.java	(working copy)
@@ -21,7 +21,6 @@
  */
 package org.jboss.security.plugins;
 
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.InvocationHandler;
 import java.lang.reflect.Method;
 import java.lang.reflect.Proxy;
@@ -52,6 +51,7 @@
 import javax.security.auth.callback.CallbackHandler;
 import javax.security.jacc.PolicyContext;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.security.AuthenticationManager;
 import org.jboss.security.SecurityAssociation;
@@ -520,8 +520,8 @@
       securityManagement.setAuthenticationMgrClass(securityMgrClassName);
 
       // Register the Principal property editor
-      PropertyEditorManager.registerEditor(Principal.class, PrincipalEditor.class);
-      PropertyEditorManager.registerEditor(SecurityDomain.class, SecurityDomainEditor.class);
+      PropertyEditorFinder.getInstance().register(Principal.class, PrincipalEditor.class);
+      PropertyEditorFinder.getInstance().register(SecurityDomain.class, SecurityDomainEditor.class);
       log.debug("Registered PrincipalEditor, SecurityDomainEditor");
       
       log.debug("ServerMode="+this.serverMode);
